.form {
    &__item {
        position: relative;

        &:not(:last-child) {
            margin-bottom: 3rem;
        }
    }

    &__label {
        position: absolute;
        top: -2rem;
        left: 1rem;

        font-size: 1.2rem;
        font-weight: 700;

        transition: all .4s;
    }

    &__input {
        display: block;
        width: 90%;

        font-size: 1.5rem;
        font-family: inherit;
        color: inherit;

        padding: 1.5rem 2rem;
        border-radius: 2px;
        background-color: rgba($color-white, .5);
        border: none;
        border-bottom: 3px solid transparent;

        @include respond-to ('mobile') {
            width: 100%;
        }

        &:focus {
            outline: none;

            box-shadow: 0 1rem 2rem rgba($color-black, .15);
            border-bottom: 3px solid $color-primary-light;

            &:invalid {
                border-bottom: 3px solid $color-danger;
            }
        }

        &::placeholder {
            color: $color-gray-dark-200;
        }

        &:placeholder-shown + .form__label {
            opacity: 0;
            visibility: hidden;
            transform: translateY(2rem);
        }
    }

    &__radio-item {
        display: inline-block;
        width: 50%;

        @include respond-to ('mobile') {
            width: 100%;
            margin-bottom: 2rem;
        }
    }

    &__radio-input {
        display: none;

        &:checked + .form__radio-label > .form__radio-btn::after {
            opacity: 1;
        }
    }

    &__radio-label {
        cursor: pointer;
        position: relative;
        padding-left: 4rem;
    }

    &__radio-btn {
        display: inline-block;

        position: absolute;
        top: -.4rem;
        left: 0;

        height: 3rem;
        width: 3rem;
        border: 5px solid $color-primary-light;
        border-radius: 50%;

        &::after {
            content: '';

            @include absCenter;

            display: block;
            height: 1.2rem;
            width: 1.2rem;
            background-color: $color-primary-light;
            border-radius: 50%;

            opacity: 0;

            transition: opacity .5s;
        }
    }
}
